Bug 122238 - isc_log_open 'named.run' failed: permission denied
isc_log_open 'named.run' failed: permission denied
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-02 08:23 EDT by Thilo Pfennig
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.0.2-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 17:59:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thilo Pfennig 2004-05-02 08:23:02 EDT
Description of problem:

The configuration that system-config-bind writes misses some points
(or should "bind" be compiled different?) On reloading configuration I
see the error "isc_log_open 'named.run' failed: permission denied" in
the messagelog.

Version-Release number of selected component (if applicable):
9.2.3-13

How reproducible:
allways

Steps to Reproduce:
1. create a new master zone
2. You need to add to named.conf this part:
 options {
   directory "/var/named";
};

3. start nameserver or reload
  
Actual results:
isc_log_open 'named.run' failed: permission denied


Expected results:

lock file should be writeable

Additional info:

Either "bind" should be compiled so that some default values match the
directories or the configuration program should add the values that
fit for Fedora Core. This is more than one bug, really but should be
fixable easily
Comment 1 Daniel Walsh 2004-06-10 13:57:23 EDT
system-config-bind-2.0.2-4 will now write out an include statement to
grab /etc/named.custom to get this information, if /etc/named.conf
does not exists.

Note You need to log in before you can comment on or make changes to this bug.